Public Types | Public Member Functions
XSI_RTS_Uniform Class Reference

## Detailed Description

The XSI_RTS_Uniform object defines a special parameter for a Realtime Shader chain.

A uniform parameter is a value that is defined by the Realtime Shader but intended to be used inside a vertex or a fragment shader. For example, a real-time shader node can use this method to define a single float parameter called `foobar`. When the real-time shader node responsible for calling the vertex or fragment shader (GLSLProgram or HLSLProgram) is called, it retrieves the list of uniform parameters defined and passes them to the vertex and fragment shader.

See also:
  IRTSExecutionState::DefineUniform, IRTSExecutionState::ClearUniforms, IRTSExecutionState::GetNbUniforms, IRTSExecutionState::GetUniformList

Since:
  7.0

`#include <XSI_rtshaders.h>`

List of all members.

## Public Types
enum | eUniformType { Float = 0, Int, Texture }
## Public Member Functions
| XSI_RTS_Uniform (eUniformType in_eType, const char *in_szName, unsigned int in_uiSize, void *in_pData)
virtual | ~XSI_RTS_Uniform ()
const char * | GetName ()
unsigned int | GetSize ()
eUniformType | GetType ()
void * | GetData ()

## Member Enumeration Documentation

enum eUniformType

Data type for the uniform parameter.

Enumerator:

  Float | Float data type
  Int | Integer data type
  Texture | Texture data type

## Constructor & Destructor Documentation

XSI_RTS_Uniform | ( | eUniformType | in_eType,
|  | const char * | in_szName,
|  | unsigned int | in_uiSize,
|  | void * | in_pData
| ) |  | `[inline]`

Constructs an XSI_RTS_Uniform object from the specified information.

Parameters:

  in_eType | Data type for the new uniform parameter (one of the eUniformType enum values)
  in_szName | Name for the uniform parameter
  in_uiSize | Size of the data for the uniform parameter
  in_pData | Pointer to the data to store in the uniform parameter

virtual ~XSI_RTS_Uniform | ( |  | ) | `[inline, virtual]`

Default destructor.

## Member Function Documentation

const char* GetName | ( |  | ) | `[inline]`

Returns the name of the uniform parameter.

Returns:
  The name of the uniform parameter

unsigned int GetSize | ( |  | ) | `[inline]`

Returns the size of the data for the uniform parameter.

Returns:
  The size of the data

eUniformType GetType | ( |  | ) | `[inline]`

Returns the data type of the uniform parameter.

Returns:
  One of the XSI_RTS_Uniform::eUniformType enum values representing the data type

void* GetData | ( |  | ) | `[inline]`

Returns the data stored in the uniform parameter.

Returns:
  A pointer to the stored data

The documentation for this class was generated from the following file:

- XSI_rtshaders.h